summaryrefslogtreecommitdiffstats
path: root/remote/modules/xorg
diff options
context:
space:
mode:
authorJonathan Bauer2013-12-02 17:21:58 +0100
committerJonathan Bauer2013-12-02 17:21:58 +0100
commit1f7926fff0737cd0517117d85d27db6219fd754d (patch)
tree6efccaee1e9bbc29e2db075deb38f469f59814ec /remote/modules/xorg
parent[vmware] added Xreset to process the Xreset.d directory :) (diff)
downloadtm-scripts-1f7926fff0737cd0517117d85d27db6219fd754d.tar.gz
tm-scripts-1f7926fff0737cd0517117d85d27db6219fd754d.tar.xz
tm-scripts-1f7926fff0737cd0517117d85d27db6219fd754d.zip
[xorg] moved Xreset script to xorg module. And make it actually working.
Diffstat (limited to 'remote/modules/xorg')
-rwxr-xr-xremote/modules/xorg/data/etc/X11/Xreset24
1 files changed, 24 insertions, 0 deletions
diff --git a/remote/modules/xorg/data/etc/X11/Xreset b/remote/modules/xorg/data/etc/X11/Xreset
new file mode 100755
index 00000000..a77cf2c0
--- /dev/null
+++ b/remote/modules/xorg/data/etc/X11/Xreset
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# /etc/X11/Xreset
+#
+# global Xreset file -- for use by display managers
+
+# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $
+
+set -e
+
+PROGNAME=Xreset
+SYSSESSIONDIR=/etc/X11/Xreset.d
+
+if [ ! -d "$SYSSESSIONDIR" ]; then
+ # Nothing to do, exiting
+ exit 0
+fi
+
+for SESSIONFILE in $SYSSESSIONDIR/*; do
+ . "$SESSIONFILE" || slxlog "xreset" "Xreset: Could not source $SESSIONFILE." "$SESSIONFILE"
+done
+
+exit 0
+